Bug 12769 - mkkickstart b0rken with PS/2 mice.
mkkickstart b0rken with PS/2 mice.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mkkickstart (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-20 19:56 EDT by Daniel Stone
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-20 19:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Stone 2000-06-20 19:56:26 EDT
This morning, I tried to create a KickStart disk with "mkkickstart" and it 
was all fine and dandy. Until I actually wanted to use the KickStart disk 
to install a new machine. I have a PS/2 mouse attached to the machine I 
ran mkkickstart off (and, indeed all the systems around here), and 
mkkickstart wrote "mouse ps/2" to the config file. All is good and well - 
or so it seems. RH objects to this and throws up an error about it not 
being a valid type. So I went to the file referenced and looked up the 
types for mouseToMouse - the struct/function it was b0rking on, and lo and 
behold, "ps/2" wasn't a valid mouse type there - it's either "genericps/2" 
(generic 2-button PS/2 mouse) or "generic3ps/2" (generic 3-button PS/2 
mouse). Not enough for me to set my hair on fire and run screaming out of 
the room, but reasonably annoying.

Regards,
Daniel Stone
(daniel@dustpuppy.ods.org/tamriel86@hotmail.com)
Comment 1 Nalin Dahyabhai 2000-07-21 14:21:53 EDT
This appears to be fixed in Raw Hide (ftp://ftp.redhat.com/rawhide/i386/).  With
MOUSETYPE set to "ps/2", mkkickstart prints "mouse genericps/2".  Please
reopen this bug if you find that this is not the case.

Note You need to log in before you can comment on or make changes to this bug.